Subject: bug#63626: [PATCH] Make forward and backward-to-word arg optional

From: Eli Zaretskii <[email-masked]>
Date: Fri, 26 May 2023 14:24:08 +0300

> Cc: [email-masked]
> From: Zaz Brown <[email-masked]>
> Date: Sat, 20 May 2023 21:33:51 -0700
> 
> (forward-to-word) throws (wrong-number-of-arguments forward-to-word 0)
> in spite of the doc string stating:
> 
> > Move forward until encountering the beginning of a word.
> > With argument, do this that many times.
> 
> This behaviour is present in Spacemacs 28.2, and has been confirmed by
> Daniel Nicolai on Emacs 30. It's also evident in the latest source code.
> 
> The same issue exists for (backward-to-word). But running each command
> with M-x works with no argument.

Thank you for your report.

Please tell why you think we should allow non-interactive invocation
of these functions with no argument.  IOW, what exactly is wrong with
the current code, and in what situations you have found this to be a
problem?